# Manuel de configuration

La section suivante précise comment installer et configurer le module `PolarisPrestaConnector` avec votre backoffice Polaris.

*Pour connaître les possibilités du module, savoir si une donnée est synchronisée ou non, et dans quel sens, vous devez vous reporter au manuel technique.*

## Association

Pour fonctionner, le module a besoin de se connecter aux API fournies par votre backoffice. L'association est le processus qui vous permet d'établir cette connexion.

Pour associer votre module, allez dans sa page de configuration accessible depuis l'écran de gestion des modules.

Si le module n'a jamais été associé ou détecte des identifiants périmés, alors il vous proposera automatiquement de procéder à une association avant de continuer avec la configuration du module ; autrement, si vous désirez procéder à une association manuelle, cliquez sur le bouton `désassocier`.

Pour associer votre module à votre installation Polaris, vous allez devoir effectuer les étapes suivantes :

1. **entrer votre numéro de licence Polaris.** Il s'agit d'une chaîne alphanumérique de la forme : "pl-p8-111-2222" ;
2. sur Polaris, dans `Système > Gestion des appareils` ; 
   1. **si votre site n'a jamais été paramétré :** cliquez sur "`nouveau prestataire`" en choisissant les API "`WebConnect`" ; choisissez les paramètres les plus adaptés pour votre site Internet (droits, données, ...) ; à l'issue de cette procédure, un code PIN vous sera remis ;
   2. **si votre site a déjà été paramétré :** choisissez son accès dans la liste, modifiez-le et cliquez sur le bouton "`ré-associer`" pour générer un nouveau code PIN ;

3. **reportez ensuite le code PIN sur Prestashop** ;



## Configuration générale



## Mappage des catégories



## Informations produit à synchroniser

Vous pouvez sélectionner les informations à synchroniser dans l'onglet "Catalogue" de la page de configuration du module : référence, nom du produit, marques, etc...

Une donnée qui est synchronisée est systématiquement écrasée par sa valeur du backoffice Polaris lorsqu'elle existe et lorsque le module synchronise le produit. Dans le cas contraire, la donnée est simplement reportée à la création de la fiche produit sous Prestashop.

*🛈 Par sécurité, le module modifie la page d'édition des produits de Prestashop de sorte qu'il vous soit impossible de modifier par cet écran une donnée qui est maintenue à jour depuis votre backoffice, car celle-ci serait susceptible d'être remplacée vous faisant perdre vos modifications.* 

*Les champs gérés par le module sont grisés et de couleur orange, uniquement sur les produits créés et maintenus par le module.*

## Questions fréquentes



